что нового в SkypeTalking
Последнее обновление: %%mtime(%x)

=Версия 0.9.3=

- SkypeTalking снова работает на компьютерах с именами пользователей, содержащими не английские буквы.
- SkypeTalking снова обнаруживает старые версии JAWS, такие, как 8.0, не переключаясь на SAPI5. Это исправлено в библиотеке AccessibleOutput 0.7.4.
-

=Версия 0.9.2=

- Обновлена сербская локализация.
- Исправлена поддержка SAPI5 и автообнаружение программ экранного доступа, которые не работали в версии 0.9.
-

=Версия 0.9.1=

- Улучшена обработка конфигурации. Теперь если файл конфигурации не загружается, будут использованы настройки по умолчанию.
- Библиотека AccessibleOutput обновлена до версии 0.7.2. Это обновление исправляет проблему SkypeTalking с некоторыми версиями JAWS, переключая при необходимости вывод на SAPI5.
- Обновлена русская документация.
-

=Версия 0.9=

==Новые возможности==[features]

- Реализовано автообновление SkypeTalking, которое позволит вам скачивать и устанавливать последние обновления SkypeTalking по комбинации клавиш Alt+Ctrl+Shift+U по умолчанию. Кроме того, вы можете выбрать тип автоматически проверяемого обновления (установочная или портабельная версия), а также включить и отключить автоматическую проверку обновлений при старте программы. Эти настройки вы можете найти в категории «Обновления» диалога настроек.
- Добавлен новый режим описания клавиш SkypeTalking, который включается и выключается по комбинации Alt+Ctrl+Shift+K по умолчанию. В этом режиме все команды SkypeTalking при нажатии клавиш просто описываются, но не выполняются. Иными словами, этот режим работает подобно клавиатурной справке в JAWS или помощи по вводу в NVDA.
- Добавлена новая категория «Горячие клавиши» в диалог настроек. Она позволит вам просмотреть и изменить клавиатурные команды по вашему желанию. Перезапуск программы и ручное редактирование ini-файла больше не требуется.
- Добавлена возможность просматривать прошедшие события данного сеанса SkypeTalking. Вы можете переключаться между событиями изменения статуса, звонками, сообщениями, пересылками файлов, действиями пользователя и голосовыми сообщениями. Горячие клавиши по умолчанию для просмотра событий указаны в руководстве пользователя.
- Добавлена базовая поддержка голосовых сообщений автоответчика. Вы можете воспроизводить и удалять голосовые сообщения. Комбинация клавиш по умолчанию для просмотра последнего голосового сообщения — Alt+Ctrl+Shift+W. Если вы нажмёте её дважды, голосовое сообщение начнёт воспроизводиться. При тройном нажатии голосовое сообщение будет удалено.
- Теперь вы можете выбирать режим просмотра по Alt+Ctrl+Shift+цифры между текстовыми и голосовыми сообщениями. Режимы переключаются по умолчанию комбинацией клавиш Alt+Ctrl+Shift+Z. В режиме просмотра текстовых сообщений клавиши Alt+Ctrl+Shift+цифры от 1 до 0 позволят вам просмотреть десять последних сообщений чата, как и в предыдущих версиях. В режиме просмотра голосовых сообщений эти же команды позволят вам воспроизвести и удалить десять последних голосовых сообщений автоответчика.
- Добавлена команда сообщения состояния звонка, по умолчанию Alt+Ctrl+Shift+L. Она также сообщит вам, включён ли звук микрофона. при двойном нажатии появится диалоговое окно, которое позволит вам позвонить одному или нескольким пользователям, набрав Skype-имя или имена, разделённые запятой или точкой с запятой.
- Добавлена команда сообщения устройств ввода/вывода, по умолчанию Alt+Ctrl+Shift+X. При нажатии этой команды SkypeTalking сообщит устройства, которые приложение Skype использует для ввода и вывода аудио-и видеосигнала.
- Добавлена возможность отслеживать пересылки файлов, если активно более одной, по двойном нажатии клавиш Alt+Ctrl+Shift+F по умолчанию. Из появившегося списка вы можете выбрать нужную вам пересылку, нажать Enter и установить отслеживание на ней.
- Теперь SkypeTalking будет сообщать вам, когда кто-то хочет добавить вас в свой контакт-лист. Однако принимать запрос на авторизацию вам всё равно пока придётся через интерфейс Skype. Возможность принимать авторизацию через SkypeTalking планируется к следующей версии.
- Добавлена возможность уведомления об изменении пользователями их индикатора настроения. Эту настройку вы можете найти в категории «Уведомления» диалога настроек. По умолчанию она отключена.
- Добавлена новая опция «Запускать SkypeTalking вместе с Windows». Если она включена, то при старте системы SkypeTalking запустится автоматически и запустит Skype (если такая настройка включена). Эту опцию можно найти в категории «Общие» диалога настроек.
- В диалог настроек добавлена категория «Многословность», которая позволит вам определить, какую информацию сообщать при каждом уведомлении. Эти параметры включают в себя время создания сообщения, имя контакта, а также возможность добавлять слова «Skype-уведомление» перед каждым уведомлением SkypeTalking или после него.
- В диалог настроек добавлена категория «Дополнительно», которая используется для определения различных параметров, в частности, как будет запускаться Skype, а также сколько попыток соединения должен сделать SkypeTalking, если связаться со Skype не удалось.
- Добавлена опция, позволяющая показывать в Диспетчере контактов пользователей, находящихся вне сети. По умолчанию этот параметр отключён; вы можете найти его в категории «Диспетчер контактов» диалога настроек.
- В просмотре профиля появилось новое поле, в котором показывается, есть ли у данного контакта оборудование для звонка, web-камера и возможность принимать голосовые сообщения.
- Вновь добавлена возможность показывать ярлык программы в системной панели. Вы можете скрыть ярлык, отключив настройку «Показывать ярлык SkypeTalking на панели задач» в категории «Общие» диалога настроек.
- Контекстное меню ярлыка на системной панели снабжено подменю «Инструменты» и «Справка». В инструментах вы можете запустить диспетчер контактов, диалог настроек и мастер sms-сообщений. В меню Справка позволит вам проверить наличие обновлений, узнать, что нового в программе, прочитать руководство пользователя и открыть диалог О программе.
- Диалог «О программе» полностью переписан. Теперь он содержит дополнительные кнопки, такие, как «Участники», «Лицензия онлайн», «Руководство пользователя» и «Проверить обновления».
- Добавлены языки интерфейса: белорусский, датский, иврит, грузинский, латышский, литовский и словенский.
-

==Изменения и улучшения==[improvements]

- Улучшено сообщение о состоянии пересылок файлов. Теперь вы можете услышать количество переданного в процентах и мегабайтах, а также оставшееся время пересылки отслеживаемого на данный момент файла.
- SkypeTalking теперь лучше распознаёт реальное отображаемое имя контактов, вместо того чтобы сообщать Skype-имя или исходное полное имя, в случае если пользователь изменил отображаемое имя этого контакта.
- Команда изменения статуса, Alt+Ctrl+Shift+BackSpace, упрощена. Теперь вам достаточно лишь выбрать нужный статус из появляющегося списка и нажать Enter.
- Удалена команда сообщения имени звонящего. Теперь она заменена на команду сообщения состояния звонка.
- Переименован диалог настроек в английской версии с Settings на Preferences.
- Переработан и организован диалог настроек. Теперь он содержит дерево вместо многовкладочного диалога. Вы можете перемещаться по дереву вертикальными стрелками, а передвигаться между параметрами с помощью клавиш Tab и Shift+Tab.
- В диалог настроек добавлена кнопка «Применить» помимо OK и Отмены.
- Изменены названия некоторых опций в диалоге настроек. Теперь они более ёмкие и должны звучать лучше.
- Теперь после переключения языка интерфейса SkypeTalking будет автоматически перезапускаться, чтобы изменения полностью вступили в силу.
- Теперь настройки и логи программы отдельные для каждого пользователя, если только вы не используете портабельную версию. Они сохраняются в папку documents and settings\UserName\Application Data\SkypeTalking.
- Папка SkypeTalking по умолчанию вновь находится в Program files.
- Дизайн Диспетчера контактов переработан: теперь он отображает контакты списком с отмечаемыми элементами.
- Загрузка контактов в Диспетчер контактов работает намного быстрее.
- Различные улучшения процесса загрузки SkypeTalking и соединения его с Skype.
- SkypeTalking теперь будет повторять попытку соединения с Skype, если это не удалось с первого раза, вместо того, чтобы просто завершиться. Количество попыток устанавливается в категории «Дополнительно» диалога настроек.
- SkypeTalking теперь будет показывать диалог о различных ошибках запуска, вместо обычного системного звука.
- SkypeTalking будет продолжать следить за последним звонком и/или пересылкой файла после перезапуска программы, вместо сообщения о том, что звонков и пересылок файлов нет.
- Клавиатурные команды SkypeTalking с более чем одной функцией теперь реагируют быстрее.
-

==Исправленные ошибки==[bugfixes]

- Исправлена медленная реакция на завершение звонка по Alt+Ctrl+Shift+End.
- Исправлен некорректный выход из программы на некоторых системах.
- Исправлена ошибка выгрузки Skype версии 5.1 и выше.
-

==Обновления==[updates]

- SkypeTalking теперь разрабатывается и компилируется с использованием Python 2.7.
- Библиотека Accessible Output обновлена до версии 0.6.1. Теперь SkypeTalking поддерживает продукты компании Dolphin (Hal, Lunar и Supernova версии 12 и выше).
-

=Версия 0.8.1=

==Новые возможности==[features]

- Добавлены арабский, финский и сербский языки интерфейса.
- Добавлена комбинация клавиш Alt+Ctrl+Shift+N, по которой вы можете узнать имя собеседника во время активного или входящего звонка.
-

==Изменения и улучшения==[improvements]

- SkypeTalking подавляет произнесение нажимаемых клавиш в скринридерах, где это включено по умолчанию, таких, как JAWS.
- Загрузка Диспетчера контактов должна идти немного быстрее.
-

==Исправленные ошибки==[bugfixes]

- Теперь диалог настроек успешно запускается на немецком языке.
-

==Обновления==[updates]

- Библиотека AccessibleOutput обновлена до версии 0.4.3, поэтому SkypeTalking будет корректно работать с последним обновлением JAWS 11.
-

=Версия 0.8=

==Новые возможности==[features]

- Добавлена возможность отслеживать последние 10 активных чатов (открытых окон чата). Используйте Alt+Ctrl+Shift+Функциональные клавиши от F1 до F10 для того, чтобы начать отслеживать один из последних десяти чатов (нажмите дважды, чтобы привести фокус в окно этого чата). После этого вы можете нажимать Alt+Ctrl+Shift+Цифры от 1 до 0, чтобы прочитать десять последних сообщений в отслеживаемом чате. Комбинация Alt+Ctrl+Shift+C сообщит, какой именно чат отслеживается, а если нажать её дважды, фокус попадёт в окно этого чата.
- Добавлена возможность читать и изменять текст индикатора настроения. Нажав Alt+Ctrl+Shift+M, вы сможете узнать текущий текст, а если нажмёте эту комбинацию дважды, то увидите окно диалога для смены индикатора настроения.
- Комбинация Alt+Ctrl+Shift+O сообщает текущий статус пользователя, а если нажать её дважды быстро, вы узнаете баланс на своём Skype-счёте.
- Добавлена команда, читающая продолжительность текущего звонка, комбинация Alt+Ctrl+Shift+D.
- Добавлен Диспетчер контактов, вызываемый по alt+Ctrl+Shift+F11, который является альтернативой списка контактов Skype. В нём ваши контакты отображаются в списке со множественным выбором, элементы которого вы можете выбирать клавишей Пробел, а затем производить с ними различные действия, такие как начать звонок, чат или посмотреть профиль. В нём также отображается информация о последнем визите у пользователей не в сети; эта информация недоступна в некоторых версиях Skype и с некоторыми программами экранного доступа, например, с NVDA. Просмотр профиля позволит вам перемещаться по контактной информации пользователя стрелками и клавишами Tab и Shift+Tab, Действия «Позвонить» и «чат» самообъяснимы. Двойное нажатие Alt+Ctrl+Shift+F11 откроет стандартный список контактов Skype. Если в Диспетчере контактов выбраны сразу несколько пользователей, вы сможете создать конференцию или групповой чат.
- Добавлены команды, позволяющие начать и завершить звонок (Alt+Ctrl+Shift+Home и Alt+Ctrl+Shift+End, на основной клавиатуре). Нажатие Alt+Ctrl+Shift+Home во время разговора включает и выключает удержание звонка, двойное нажатие этой комбинации позволит добавить нового звонящего в конференцию, а двойное нажатие Alt+Ctrl+Shift+End выключает и включает микрофон.
- Добавлена поддержка отправки sms-сообщений через SkypeTalking. Команда Alt+Ctrl+Shift+s запускает Мастер создания SMS, с помощью которого вы сможете отправить sms-сообщение на любой телефонный номер. Мастер содержит два диалоговых окна: одно для номера телефона, другое для текста сообщения. используйте точку с запятой для разделения номеров, при вводе номеров также набирайте код страны. Если всё верно, нажмите enter. Затем введите текст сообщения и нажмите Enter или Tab до кнопки «Отправить», чтобы послать сообщение, или Escape или кнопку «Отмена» для выхода из мастера добавления SMS. При наборе текста сообщения вы можете нажимать F2, чтобы узнать, сколько сообщений вы отправляете, сколько символов осталось, а также текущую стоимость отправляемых SMS. Если доступно 0 символов, вы услышите звук критической ошибки.
- Добавлена новая опция в диалог настроек: «При выходе из SkypeTalking выгружать Skype, если он запущен». По умолчанию эта опция установлена.
- В диалог настроек добавлена опция «Спрашивать подтверждения при выходе из SkypeTalking». По умолчанию она установлена, и при выходе из программы вам необходимо будет подтвердить это действие. Если опция выключена, skypeTalking будет работать так же, как и в предыдущих версиях, то есть выход из программы будет происходить немедленно. Эта опция введена во избежание случайного выхода из skypeTalking.
- Добавлена возможность изменять горячие клавиши. Правда, пока это придётся делать через ini-файл. Добавление вкладки «Горячие клавиши» планируется в следующей версии. Если вы неверно назначили горячие клавиши в SkypeTalking.ini, будут использованы клавиши по умолчанию, однако также будет выдано предупреждение о неверном назначении клавиш.
Вы можете изменять горячие клавиши в секции [Shortcuts]. Делайте это с осторожностью, перезапускайте SkypeTalking, если изменения тут же не вступили в силу.
- Добавлены датский и французский языки интерфейса.
-

==Улучшения и изменения==[improvements]

- Команда прочтения последнего сообщения чата изменена с Alt+Ctrl+Shift+M на Alt+Ctrl+Shift+R. Двойное нажатие приведёт к перемещению фокуса в окно чата и отслеживанию этого чата.
- Команда выхода из skypeTalking изменена с Alt+Ctrl+Shift+F4 на Alt+Ctrl+Shift+Q (от слова «Quit»). 
- Команда вызова диалога настроек изменена с Alt+Ctrl+Shift+S на Alt+Ctrl+Shift+P (от слова «Preferences»).
- Удалён значок на системной панели. Используйте горячие клавиши SkypeTalking вместо контекстного меню значка.
- Версия упаковщика API теперь сообщается по двойному нажатию Alt+Ctrl+Shift+V, так как эта информация не несёт пользы конечному пользователю.
- Теперь продолжительность звонка сообщается в часах, минутах и секундах.
- К информации о пересылке файла (Alt+Ctrl+Shift+F) добавлено сообщение о скорости передачи файла и количестве переданной информации.
- SkypeTalking не разрешает запуск множества копий самого себя. Теперь при попытке запустить ещё одну копию программы будет издаваться системный звук.
- Теперь при ошибке загрузки системный динамик издаст предупреждающий звук. Пожалуйста, сообщите разработчикам о случаях такого поведения.
-

==Исправленные ошибки==[bugfixes]

- SkypeTalking больше не игнорирует контакты, у которых не установлено полное имя, теперь сообщается их логин в Skype. Таким образом, вы больше не услышите «Skype: в сети» и подобных сообщений.
- Теперь при открытии диалога настроек курсор встаёт на список языков, как и положено. 
- В диалоге настроек кнопки OK и Отмена больше не пропускаются при обходе по Shift+Tab.
-

=Версия 0.7=

==Новые возможности==[features]

- Теперь вы можете читать 10 последних сообщений чата, используя комбинации клавиш от Alt+Ctrl+Shift+1 до Alt+Ctrl+Shift+0. При двойном быстром нажатии сообщение копируется в буфер обмена; при тройном нажатии в браузере открывается web-адрес, если он в сообщении присутствует.
- Теперь вы можете изменять свой статус на лету по комбинации Alt+Ctrl+Shift+Backspace.
- Теперь вы можете переключать режим игнорирования событий Skype по комбинации Alt+Ctrl+Shift+I.
- Базовая поддержка сообщения о пересылке файлов. Вы можете узнать информацию о текущей передаче файла по комбинации Alt+Ctrl+Shift+F.
- Добавлены языки интерфейса: чешский, турецкий, японский и малайский.
-

==Улучшения и изменения==[improvements]

- Улучшена обработка состояния звонков.
-

==Обновления==[updates]

- Библиотека общедоступного вывода (Accessible Output) теперь последней версии.
- Папка установки по умолчанию изменена на корневую папку системного раздела во избежание неудачных установок на компьютеры с Windows Vista и Windows 7.
-

=Версия 0.6.1=


==Новые возможности==[features]

- Добавлены языки интерфейса - болгарский, китайский (мандаринский диалект), немецкий, итальянский, венгерский, польский, русский, украинский, португальский.
- Команда Повторить последнее событие, комбинация Alt+Ctrl+Shift+E.
-

==Улучшения и изменения==[improvements]

- Комбинация повтора последнего сообщения чата Alt+Ctrl+Shift+Tab изменена на Alt+Ctrl+Shift+M.
-

=Версия 0.6=

==Новые возможности==[features]

- Добавлен диалог настроек.
- многоязычная поддержка.
- Добавлены клавиатурные команды.
- Теперь skypeTalking поддерживает статусы «Неизвестен» и «SkypeOut».
- Теперь вы можете включать и отключать уведомление о входящих и исходящих сообщениях чата отдельно.
-

==Исправленные ошибки==[bugfixes]

- Различные мелкие исправления.
-

=Версия 0.5.1=

==Новые возможности==[features]

- Добавлена поддержка программ экранного доступа JAWS, Window-Eyes и System Access, а также поддержка вывода на SAPI5.
- Добавлен файл конфигурации SkypeTalking.ini, где вы можете устанавливать такие параметры, как вывод на синтезатор и брайлевский дисплей, настройки SAPI5, а также другие изменяемые настройки SkypeTalking. помните, что пока не существует диалога настроек, поэтому параметры изменяются вручную редактированием SkypeTalking.ini.
- Добавлен лог-файл SkypeTalking.log, в котором содержится важная информация для разработчиков. Пожалуйста, прилагайте этот лог-файл при сообщении о проблеме!
- Добавлена опция, позволяющая автоматически запускать Skype, если он ещё не запущен в момент старта SkypeTalking .
- Добавлена опция автоматического чтения сообщений чата. Рекомендуется отключать её при использовании SkypeTalking одновременно со скриптами JAWS для Skype во избежание повторного чтения сообщений.
- Добавлена возможность включать и выключать сообщения о смене статуса пользователей. Все изменения по умолчанию проговариваются.
-

==Изменения и улучшения==[improvements]

- Улучшено объявление о статусах пользователей.
- Полностью переписан диалог «О программе»: добавлена информация о версии, адрес сайта и копирайт.
-

=Версия 0.5=

Первый релиз, добавлены основные возможности:
- Приветственное сообщение с именем текущего пользователя
- Сообщение статуса соединения с Skype API
- сообщение о статусах пользователя и его контактов, включая В сети, Не в сети, Отсутствую, Недоступен etc.
- Сообщение о звонках, включая имя звонящего
- Уведомление о входящих и исходящих сообщениях чата
- Поддержка NVDA (бесплатной программы экранного доступа), как речевой, так и брайлевский вывод
- Запуск в Системной панели, в контекстное меню добавлены опции «О программе» и «Выход»
-